#
# spec file for package farstream-0_1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   farstream
Name:           farstream-0_1
Version:        0.1.2
Release:        2.1
Summary:        GStreamer 0.10 modules and libraries for videoconferencing
# Licence note: the only GPL-2.0+ files are farstream-0.1.2/common/coverage/*
# and common/gstdoc-scangobj; those are just used during the build and do not
# affect the licence of the binary packages.
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://freedesktop.org/wiki/Software/Farstream
Source:         http://freedesktop.org/software/farstream/releases/%{_name}/%{_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM farstream-0_1-gtkdoc.patch dimstar@opensuse.org -- Gtk-doc tags belong after the description.
Patch0:         %{name}-gtkdoc.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.16
BuildRequires:  pkgconfig(glib-2.0) >= 2.30
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:  pkgconfig(gst-python-0.10) >= 0.10.10
BuildRequires:  pkgconfig(gstreamer-0.10) >= 0.10.33
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.33
BuildRequires:  pkgconfig(gupnp-igd-1.0)
BuildRequires:  pkgconfig(nice) >= 0.1.0
BuildRequires:  pkgconfig(pygobject-2.0) >= 2.16.0

%description
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

%package -n libfarstream-0_1-0
Summary:        GStreamer 0.10 modules and libraries for videoconferencing
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}-data
# While not strictly needed, applications using farstream will need
# the gstreamer plugins, so simply put a Requires here instead of
# in all applications.
Requires:       gstreamer-0_10-plugins-%{name}

%description -n libfarstream-0_1-0
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

%package -n typelib-1_0-Farstream-0_1
Summary:        GStreamer 0.10 modules and libraries for videoconferencing -- Introspection bindings
License:        LGPL-2.1+
Group:          System/Libraries

%description -n typelib-1_0-Farstream-0_1
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

This package provides the GObject Introspection bindings for
Farstream 0.1.

%package -n gstreamer-0_10-plugins-%{name}
Summary:        Legacy GStreamer 0.10 plugins for videoconferencing
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Requires:       gstreamer-0_10-plugins-bad >= 0.10.23
Requires:       gstreamer-0_10-plugins-good >= 0.10.29

%description -n gstreamer-0_10-plugins-%{name}
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

%package data
Summary:        GStreamer 0.10 modules and libraries for videoconferencing -- Codec preferences
License:        LGPL-2.1+
Group:          System/Libraries
BuildArch:      noarch

%description data
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

This package contains data (codec preferences, element properties)
used by the library.

%package devel
Summary:        GStreamer 0.10 modules and libraries for videoconferencing -- Development files
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libfarstream-0_1-0 = %{version}
Requires:       typelib-1_0-Farstream-0_1 = %{version}

%description devel
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

%package -n python-%{name}
Summary:        GStreamer 0.10 modules and libraries for videoconferencing -- Python bindings
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Requires:       libfarstream-0_1-0 = %{version}
Requires:       python-gstreamer-0_10

%description -n python-%{name}
Farstream 0.1 is a collection of legacy GStreamer 0.10 modules and
libraries for videoconferencing.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}

%post -n libfarstream-0_1-0 -p /sbin/ldconfig

%postun -n libfarstream-0_1-0 -p /sbin/ldconfig

%files -n libfarstream-0_1-0
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libfarstream-0.1.so.*
%{_libdir}/%{_name}-0.1/

%files -n typelib-1_0-Farstream-0_1
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Farstream-0.1.typelib

%files -n gstreamer-0_10-plugins-%{name}
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/*

%files data
%defattr(-,root,root)
%{_datadir}/%{_name}/

%files devel
%defattr(-,root,root)
%{_includedir}/%{_name}-0.1/
%{_libdir}/libfarstream-0.1.so
%{_libdir}/pkgconfig/%{_name}-0.1.pc
%{_datadir}/gir-1.0/Farstream-0.1.gir
%doc %{_datadir}/gtk-doc/html/%{_name}-*/

%files -n python-%{name}
%defattr(-,root,root)
%{py_sitedir}/%{_name}.so

%changelog
* Sat Dec 24 2016 sor.alexei@meowr.ru
- Add a missing python-gstreamer-0_10 dependency in the
  python-farstream-0_1 package.
* Tue Feb 10 2015 sor.alexei@meowr.ru
- Rename package from farstream to farstream-0_1.
- Rename farstream-gtkdoc.patch to farstream-0_1-gtkdoc.patch
  to correspond package name change.
* Tue Aug 14 2012 dimstar@opensuse.org
- Add farstream-gtkdoc.patch: Gtk-doc tags belong after the
  description. Fix build on newer gtk-doc versions.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 0.1.2:
  + Ignore config while comparing send codecs, fixes H.264 and
    Theora negotation
  + Require GLib 2.30, do not allow APIs added after and ignore
    later deprecations
  + Add default element properties for rawconference
  + Set better latency/buffer time for pulse src/sink
  + Remove the buffer-time property on the shm transmitter, because
    the gst-plugins-bad plugin has a bug, we will restore it once a
    new gst-plugins-bad version has been released
* Fri Mar 23 2012 vuntz@opensuse.org
- Change libgstfarsight-0_10-0 Conflicts to Obsoletes in
  gstreamer-0_10-plugins-farstream: now that all the farstream
  stack has entered Factory, we can drop the farsight one. The
  Obsoletes will help with a smooth transition.
* Wed Mar 14 2012 vuntz@opensuse.org
- Change license of source package to "GPL-2.0+ and LGPL-2.1+"
  because of the license of some tools from the tarball used during
  the build. This does not affect the license of the binary
  packages. Fix bnc#751720.
* Tue Feb 21 2012 vuntz@opensuse.org
- Initial packaging (version 0.1.1).
